Last Comment Bug 674048 - nsXMLHttpRequest::SetRequestHeader should check mState instead of GetReadyState
: nsXMLHttpRequest::SetRequestHeader should check mState instead of GetReadyState
Status: VERIFIED FIXED
[inbound]
: regression
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Josh Matthews [:jdm]
:
:
Mentors:
Depends on:
Blocks: 553888
  Show dependency treegraph
 
Reported: 2011-07-25 13:58 PDT by Josh Matthews [:jdm]
Modified: 2011-09-15 19:46 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Check the correct condition when setting a header on an XHR. (2.82 KB, patch)
2011-07-25 14:54 PDT, Josh Matthews [:jdm]
jonas: review+
Details | Diff | Splinter Review

Description Josh Matthews [:jdm] 2011-07-25 13:58:50 PDT

    
Comment 1 Josh Matthews [:jdm] 2011-07-25 14:54:42 PDT
Created attachment 548297 [details] [diff] [review]
Check the correct condition when setting a header on an XHR.
Comment 2 Josh Matthews [:jdm] 2011-07-25 15:08:06 PDT
This is going to need to go on aurora as well. Marking the tracking flag to help me not forget about it after pushing to m-c.
Comment 4 Marco Bonardo [::mak] 2011-07-26 04:03:15 PDT
http://hg.mozilla.org/mozilla-central/rev/0b9909535cc0
Comment 5 christian 2011-08-09 15:02:46 PDT
This is a regression from bug 553888, correct?
Comment 6 Josh Matthews [:jdm] 2011-08-09 15:11:36 PDT
Yes.
Comment 7 Ioana (away) 2011-08-31 08:14:22 PDT
Is there a way this fix can be verified by QA? If so, please help me with some test case/STR/guidelines.

Thank you
Comment 8 Josh Matthews [:jdm] 2011-08-31 08:26:19 PDT
There's a test present in the patch that is currently passing. You could try replicating that (ensure that calling xhr.setRequestHeader("foo") throws after calling xhr.send()) if you wanted.
Comment 9 Ioana (away) 2011-09-12 00:45:53 PDT
To verify this issue open the link from comment #4. It is obvious from the code changes that mState is now checked instead of GetReadyState 
(1.12 -  PRUint16 state;
 1.13 -  rv = GetReadyState(&state);
 1.14 -  if (NS_FAILED(rv) || state != OPENED)
 1.15 +  if (!(mState & XML_HTTP_REQUEST_OPENED))
...).
Comment 10 christian 2011-09-15 19:46:29 PDT
http://hg.mozilla.org/releases/mozilla-beta/rev/dd9ba894c28b

(it is already on aurora 8)

Note You need to log in before you can comment on or make changes to this bug.